/* crllib.c     COPYRIGHT Fujitsu Laboratories Ltd. 1993 */
/* $Id: crllib.c,v 1.2 1995/03/08 06:17:54 kuroda Exp $ */
/*
***	crlflib.c - CR & LF translate,	Oct. 12,93/kikn
***			modified	Mar.  8,85/kuroda 
 */

#include	<stdio.h>
#include	"pem.h"

#define	JIS78	"\033$@"
#define	JIS83	"\033$B"
#define	ROMA	"\033(J"
#define	ASCII	"\033(B"


jiscan(s)
char	*s;
{
	static int	stage = 0;

	switch(stage){
	case 0:
		stage = (*s == '\033')? 1 : 0;
		break;
	case 1:
		stage = (*s == '$' || *s == '(')? 2 : 0;
		break;
	case 2:
		*s = (*s == '@' || *s == 'J')? 'B' : *s;
	default:
		stage = 0;
	}
	/* if(*s == '\033'){
		if(!strncmp(s, JIS78, strlen(JIS78))){
			*(s + 2) = 'B';
		}else if(!strncmp(s, ROMA, strlen(ROMA))){
			*(s + 2) = 'B';
		}
	}
	*/
}

crlfn(ls, ns, len)
char	*ls, *ns;
int	len;
{
	char	*ns0 = ns;

	while(len--){
		jiscan(ls);
		if(*ls == 0x0a){
			++ls;
			*ns++ = 0x0d;
			*ns++ = 0x0a;
		}else{
			*ns++ = *ls++;
		}
	}
	return(ns - ns0);
}

crlfl(ns, ls, len)
char	*ns, *ls;
int	len;
{
	char	*ls0 = ls;

	while(len--){
		/* jiscan(ls); */
		if(*ns == 0x0d && *(ns+1) == 0x0a){
			*ls++ = 0x0a;
			ns += 2;
			--len;
		}else{
			*ls++ = *ns++;
		}
	}
	return(ls - ls0);
}
		
