#!/bin/sh
# pemail.sh	COPYRIGHT Fujitsu Laboratories Ltd. 1994
# $Id: pemail.sh,v 1.2 1994/03/01 02:36:29 kikn Exp kikn $

pembin=STDBINDIR
mail=STDMAIL

a=$*
set -- `getopt deHinNUvFf:T:u:h:r:s: $*`
if [ $? != 0 ]
then
	echo "pemail [-dFinUv] [-h num] [-r address] [-s subject] recipient ..."
	exit 2
fi
for i in $*
do
	case $i in
	-s)	shift; sub=$1;;
	--)	shift; break;;
	*)	shift;;
	esac
done

if [ "$*" = "" ]
then
	$mail
	exit
fi
if [ "$sub" = "" ]
then
	echo -n "Subject: "
	read sub </dev/tty
fi
$pembin/sendpem $* | $mail -s "$sub" $a
