#!/bin/sh
# pemcrypt.sh     COPYRIGHT Fujitsu Laboratories Ltd. 1993
# $Id: pemcrypt.sh,v 1.3 1994/02/24 05:50:13 kikn Exp kikn $

key=${PEMKEY-STDKEY}
cert=${PEMCERT-STDCERT}
issuer=${PEMISSUER-STDISSUER}
certdir=${PEMCERTS-STDCERTDIR}

pembin=STDLIBDIR

# des -d $key key$$ 

if [ "$1" = "-h" ]
then
	echo "usage: pemcrypt -d|e [cert] < in > out"
	exit
elif [ "$1" = "-d" ]
then
	$pembin/depem -c $cert -k $key -I $issuer $2 $3 $4 $5 $6
#	$pembin/depem -c $cert -k key$$ -I $issuer $2 $3 $4 $5 $6
else
	$pembin/enpem -c $cert -k $key -i $issuer $*
#	$pembin/enpem -c $cert -k key$$ -i $issuer $*
fi
#rm key$$
