MAKEPEMINFO(1)            MAINTENANCE COMMANDS             MAKEPEMINFO(1)

NAME
	makepeminfo - prepare certificate request

SYNOPSIS
	makepeminfo [key] > info

DESCRIPTION
	
	Makepeminfo prepares a certificate request to be sent to the
	certification authority for certifying the secret key.
	The request information is stored in the "info" file.
	As the default, makepeminfo takes the public component from
	either the "key" file or the ~/.key file.

	Since makepeminfo prepares only partial information,
	the user must add personal information, such as "o=" (organization),
	"ou=" (organizational unit), or "cn" (common name),
	which are managed in the user database at the certification authority.

	Write k-preceding lines(ko, kcn,..) in JIS code only.

FILES
	~/.key	Secret key which can be changed by environment variable
		PEMKEY.

SEE ALSO

	makepemkey, initcert

AUTHOR
	Hiroaki Kikuchi (kikn@flab.fujitsu.co.jp)




