MAKEPEMKEY(1)            MAINTENANCE COMMANDS             MAKEPEMKEY(1)

NAME
	makepemkey - generate RSA secret key

SYNOPSIS
	makepemkey [keyfile]

DESCRIPTION
	
	Makepemkey generates an RSA secret key. 
	As the default, the private component is 
	written to the file specified by "keyfile" or ~/.key.

	If a secret key is already specified, makepemkey will not 
	overwrite it.
	
	To generate a uniform random number, makepemkey generates
	the random number seed using the string input from the prompt
	"Input random string :"	and time information.

	Note that key generation can be time-consuming.

FILES
	~/.key	Secret key which can be changed by environment variable
		PEMKEY.


SEE ALSO

	makepeminfo, initcert

AUTHOR
	Hiroaki Kikuchi (kikn@flab.fujitsu.co.jp)




