COPYRIGHT Fujitsu Laboratories Ltd. 1993

PEEK(1)		USER COMMANDS				PEEK(1)

NAME
	peek	- display information contained in a certificate

SYNOPSIS
	peek {-c | -d | -p} < cert

DESCRIPTION

	If the -c option is specified, peek displays information contained in 
	the specified certificate, including the serial number
	(Serial No), expiration date (Validity),
	issuer (issuer), OSI distinguished name (subject), signature algorithm
	used to sign the certificate (signature), and public key algorithm
	(publickey).

	If with -p option is specified, peek displays the public key, which
	consists of the bit length of the key (L), the public component (N),
	and the encryption parameter (E).

OPTIONS
	-c	Certificate. Display information about the certificate.

	-d	Debug. Display the OSI BER (Basic Encoding Rules) structure of
		the certificate.

	-p	Public key. Display the public key.

FILES
	~/.cert		Your certificate
	~/.certs/	User certificate directory

SEE ALSO
	enpem(1), depem(1), sendpem(1)

AUTHOR
	Hiroaki Kikuchi (kikn@flab.fujitsu.co.jp)

