COPYRIGHT Fujitsu Laboratories Ltd. 1993

PEMCRYPT(1)		USER COMMANDS			PEMCRYPT(1)

NAME
	pemcrypt - encrypt or decrypt Internet Privacy Enhanced Mail 

SYNOPSIS
	pemcrypt {-d |e certs} [options] < in > out

DESCRIPTION

	Pemcrypt, a useful front-end for enpem and depem,
	invokes enpem or depem with the specified options.
	The secret key and certificates are taken from 
	either the standard path or environment variables.

OPTIONS
	-e	(encrypt) Invoke enpem.

	-d 	(decrypt) Invoke depem. 

FILES
	.key .cert .certs .issuer

SEE ALSO
	enpem(1), depem(1), sendpem(1)

AUTHOR
	Hiroaki Kikuchi (kikn@flab.fujitsu.co.jp)

