/* cert.h	COPYRIGHT Fujitsu Laboratories Ltd. 1993 */
/* $Id: cert.h,v 1.1 1995/03/08 06:06:33 kuroda Exp $ */
/*
***	cert.h - retrive certificate atribute	Aug. 6,93/kikn
 */

#define	CDR(s)	(((BER *)(s))->val)	
#define	CDRS(s)	((BER **)(((BER *)(s))->val))
#define C_NO(s)	(CDRS(CDRS(s)[0])[0])
#define C_SA(s)	(CDRS(CDRS(s)[0])[1])
#define C_IN(s)	(CDRS(CDRS(s)[0])[2])
#define C_VA(s)	(CDRS(CDRS(s)[0])[3])
#define C_SN(s)	(CDRS(CDRS(s)[0])[4])
#define C_PK(s)	(CDRS(CDRS(s)[0])[5])
#define C_IF(s)	((CDRS(s)[0]))
#define C_S2(s)	((CDRS(s)[1]))
#define C_SG(s)	((CDRS(s)[2]))

#define SerialNumber(b)	getint(C_NO(b))
#define ValidityFrom(b)	getstr(CDRS(C_VA(b))[0])
#define ValidityTo(b)	getstr(CDRS(C_VA(b))[1])
#define Signature(b)	localoid(CDRS(C_SA(b))[0])

#define Name_STR(b,i)	getstr(CDRS(CDRS(CDRS(b)[i])[0])[1])
#define Name_OID(b,i)	(CDRS(CDRS(CDRS(b)[i])[0])[0])

#define Pubkey_AID(b)	localoid(CDRS(CDRS(b)[0])[0])

#define	OI_MD2withRSA_RSADSI	OI_PKCS,1,1,2
#define	OI_MD2withRSA_NIST	0x2b,0x0e,0x07,0x02,0x03,1
