#!/usr/local/bin/perl
# certreq.pl     COPYRIGHT Fujitsu Laboratories Ltd. 1993
#		 Jan. 7, 1993,  kikn
# $Id: certreq.pl,v 1.1 1995/03/08 06:05:10 kuroda Exp $

#$debug = 1;

$lib = '/usr/local/lib/pem';
$mykey = "$lib/ipnc.key";
$mycert = "$lib/ipnc.cert";
$certdir = "$lib/ipnc.certs";
$myissuer = "$lib/ipnc.issuer";
$enpem = "$lib/enpem";

$admin = 'ca-administrator@ca.fujitsu.co.jp';
$ca = 'cert-req@wide.ad.jp';

$| = 1;

while(<>){
	push(@header, $_);
	last if /^$/;
	$from = $1 if /^From:\s*(.*)$/;
}
&check($from) || die "Unauthrized request.\n";

print "To: $ca\n";
print "From: $admin\n";
print "Reply-To: $admin\n";
print "Subject: Certificate Request\n\n";

open(E, "|$enpem -e -k $mykey -c $mycert -i $myissuer $myissuer")
	|| die "enpem: $!\n";
while(<>){
	next if /^o=/i;
	next if /^ko=/i;
	print E $_ || die "enpem-sending: $!\n";
}
print E "o= Fujitsu Laboratories Ltd.\n";
print E "ko= ٻ̸\n";
close(E) || die "enpem-end: $!\n";
exit 0;

sub check{
	local($_) = @_;
	#
	# write any check function you like.
	# 	1 ... OK, 0 ... NOGOOD
	#
	return 1 if /\w*@flab.fujitsu.co.jp/; 
	0;
}

