/* clrlib.c     COPYRIGHT Fujitsu Laboratories Ltd. 1993 */
/* $Id: clrlib.c,v 1.1 1995/03/08 06:04:27 kuroda Exp $ */
/*
***	clrlib.c - MIC-CLEAR, signature only mode, Oct. 1,93/kikn
 */

#include	<stdio.h>
#include	<sys/types.h>
#include	"pem.h"
#include	"cert.h"
#include	"rsa.h"

static char *pemtype[]={ "MIC-CLEAR", "ENCRYPTED", "MIC-ONLY" };

micclear(cert, mykey, myparms)
BER		*cert;
struct RSASecretKey	*mykey;
struct RSAParameters	*myparms;
{
	static unsigned char	buf[BUFSIZ], dek[BUFSIZ], user[BUFSIZ];
	static unsigned	char	md[BUFSIZ];
	static unsigned	char	iv2[BUFSIZ];
	BER	*sender, *issuer, *ca, *mdinfo;
	struct	RSAPublicKey	pub, mypub;
	struct	RSAParameters	parms, mypubparms;
	FILE	*ftmp;
	int	i, c;
	char	*cp;

	prntype = 1;
	fputs("-----BEGIN PRIVACY-ENHANCED MESSAGE-----\n", fout);
	fprintf(fout, "Proc-Type:4,MIC-CLEAR\n");
	fputs("Content-Domain:RFC822\n", fout);
	fprintf(fout, "Originator-Certificate:\n");
	cat(mycert);
	fprintf(fout, "Issuer-Certificate:\n");
	cat(issuercert);

	ftmp = tmpfile(); 
	SWAP(ftmp, fout);
	md5(md, fin);
	SWAP(ftmp, fout);

	fputs("MIC-Info: RSA-MD5,RSA,\n", fout);
	dek[0] = 0;
	putmic(md, dek, dek, mykey, myparms);
	fputs("\n", fout);

	fseek(ftmp, 0L, 0);
	while((cp = fgets(buf, BUFSIZ, ftmp)) != NULL){
		if(buf[0] == '-'){
			fputs("- ", fout);
		}
		fputs(buf, fout);
	}
	fclose(ftmp);
	fputs("-----END PRIVACY-ENHANCED MESSAGE-----\n", fout);
	return(0);
}
		

		
