#!/bin/sh
# makepemkey.sh     COPYRIGHT Fujitsu Laboratories Ltd. 1993
# Nov. 17, 1993, kikn
# $Id: makepemkey.sh,v 1.3 1994/01/20 03:44:17 kikn Exp kikn $

pembin=STDLIBDIR
key=${PEMKEY-STDKEY}
if [ "$1" != "" ]
then
	keypath=`pwd`/$1
else
	keypath=$key
fi

trap "stty echo; exit" 0 1 2 13 15

if [ "$1" = "-h" ]
then
	echo "usage: $0 [keyfile]"
	exit 1
fi
cd $pembin

stty -echo
if [ "$1" = "-" ]
then
	./keygen
else
	if test -f $keypath; then
		echo "$keypath file already exits"
		exit 1
	fi
	echo "Writing in $keypath"
	./keygen > ${keypath}
#	./keygen | des -e |  ${keypath}
	chmod 400 ${keypath}
fi
