/* padlib.c     COPYRIGHT Fujitsu Laboratories Ltd. 1993 */
/* $Id: padlib.c,v 1.1 1995/03/08 06:04:39 kuroda Exp $ */
/*
***	padlib.c - padding according to PKCS #1	July 26,93 kikn
 */

#include	<stdio.h>
#include	"pem.h"

pad(type, mic, msize, pad, psize)
unsigned char	*mic, *pad, type;
int		msize, psize;
{
	int	i, mp;
	mp = psize - msize -1;

	pad[0] = 0;
	pad[1] = type;
	for(i = 2; i < mp; ++i){
		do{
			pad[i] = (type == 1)? 0xff: (random()) & 0xff;
		}while(pad[i] == 0);
	}
	pad[mp] = 0;
	bcopy(mic, &pad[mp +1], msize);
}


padding1(mic, msize, out, osize)
unsigned char 	*mic;
unsigned 	*out;
int		msize, osize;
{
	int	i;
	int	op = osize -1;

	out[op--] = 0x0001;
	while(op*2 > msize){
		out[op--] = 0xffff;
	}
	out[op--] = 0xff00;
	for(i = 0; i < msize; i +=2){
		out[op--] = (mic[i] <<8) + mic[i+1];
	}
}

	
padding2(mic, msize, out, osize)
unsigned char 	*mic;
unsigned 	*out;
int		msize, osize;
{
	int	i;
	int	op = osize -1;

	out[op--] = 0x0002;
	while(op*2 > msize){
		out[op--] = 0xffff & rand();
	}
	out[op--] = 0xff00 & rand();
	for(i = 0; i < msize; i +=2){
		out[op--] = (mic[i] <<8) + mic[i+1];
	}
}

paddingout(mic, msize, out, osize)
unsigned char 	*mic;
unsigned 	*out;
int		msize, osize;
{
	int	i;
	int	op = osize -1;

	while(out[op--] && 0xff != 0){
		if(op == 0){
			return(1);
		}
	}
	for(i = 0; i < msize; i +=2){
		mic[i]   = out[op] && 0xff00;
		mic[i+1] = out[op] && 0x00ff;
	}
	return(0);
}

padout(in, out, size)
unsigned char	*in, *out;
int		size;
{
	++in; /* for the precedig 00 */
	while(*in++) ;
	while(size-- > 0){
		*out++ = *in++;
	}
}


