#!STDPERL
# recvpem.pl     COPYRIGHT Fujitsu Laboratories Ltd. 1993
# 		 Nov. 19, 1993, kikn
# $Id: recvpem.pl,v 1.1 1995/03/08 06:05:15 kuroda Exp $

$HOME = $ENV{'HOME'};
$mykey = $ENV{'PEMKEY'} || "STDKEY";
$mycert = $ENV{'PEMCERT'} || "STDCERT";
$certdir = $ENV{'PEMCERTS'} || "STDCERTDIR";
$myissuer = $ENV{'PEMISSUER'} || "STDISSUER";
$dom = $ENV{'PEMDOMAIN'} || 'STDPEMDOMAIN';

$bin = "STDLIBDIR";

$| = 1;
$fromline = 0;

while(<>){
	print $_;
	last if /^$/;
	if (/^From:\s*(.*)$/) {
		$from = $1;
		$fromline = 1;
		next;
	}
	if (/^\s+(.*)$/ && $fromline){
		$from .= " $1";
	} else {
		$fromline = 0;
	}
}
$from =~ tr/A-Z/a-z/;
$from =~ s/"[^"]*"//g;
$from =~ s/.*<(.*)>.*/$1/;
$from =~ s/\(.*\)//;
$from =~ s/\s*(\S*)\s*/$1/;
if($dom){
	$from = &canform($from);
}

open(DP, "|$bin/depem -ic $mycert -k $mykey -I $myissuer -m $from") 
	|| die "depem: open $!\n";
while(<>){
	print DP $_ || die "depme: sending $!\n";
	if($orig){
		if(/^\S/){
			$orig = 0;
		}else{
			$cert .= $_; 
		}
	}
	$orig = 1  if /^Originator-Certificate:/;
}
#close(DP) || die "dpem: close $! $?\n";
close(DP) || exit(0);

#if($cert && ! -f "$certdir/$from"){
if(-d $certdir && $cert){
	umask 022;
	open(ID, ">$certdir/$from");
	print ID $cert;
	close(ID);
}
exit(0);

sub canform{
	local($_) = pop(@_);
	local(@a, $b);

	if(/@(.*)$/){
		@a = split('\.', $1);
		$b = pop( @a );
		if($dom =~ /$b/){
			return( $_.$' );
		}else{
			return($_);
		}
	}else{
		return( $_."@".$dom);
	}
}

