/* alg_rsa.h - Access Header for OSISEC-conformant implementation of RSA */
/* $Id: rsa.h,v 1.1 1995/03/08 06:06:40 kuroda Exp $ */

#ifndef _OSISEC_RSA_DEFINED_
#define _OSISEC_RSA_DEFINED_

#define	OK	0
#define NOTOK	(!OK)

/* from keysize.h */
#define HALFKEYSIZE 16
#ifndef KEYSIZE
#define KEYSIZE 32
#endif
#define KEYCHARS 64

typedef void *RSAEncrypted;
#define NULLENCRYPTED ((unsigned*)0)

struct RSASecretKey {
	unsigned       *p;
	unsigned       *q;
	unsigned       *a;
	unsigned       *n;
	unsigned       *d;
	unsigned       *d1;
	unsigned       *d2;
};

struct RSAPublicKey {
	unsigned       *n;
	unsigned        e;
};

struct RSAParameters {
	int             len;
	int             shift;
};

#endif
